import request from '@/utils/request'
/* 人员树 */
export function personsTree(query) {
    return request({
        url: '/bracelet/consControl/getPersonsTree',
        method: 'get',
        params: query
    })
}

/* 根据杆塔获取班组人员/临时人员-已绑定手环 */
export function teamPersonByTower(query) {
    return request({
        url: '/bracelet/consControl/getTeamPersonByTower',
        method: 'get',
        params: query
    })
}

/* 手环人脸验证抽检 */
export function spotCheck(data) {
    return request({
        url: '/bracelet/consControl/spotCheck',
        method: 'post',
        data: data
    })
}

/* 自动验证配置详情 */
export function getCheckConfig(query) {
    return request({
        url: '/bracelet/consControl/getCheckConfig',
        method: 'get',
        params: query
    })
}

/* 自动验证配置 */
export function checkConfig(data) {
    return request({
        url: '/bracelet/consControl/checkConfig',
        method: 'post',
        data: data
    })
}

/* 人员树选中班组触发的接口 */
export function getPersonsInfo(query) {
    return request({
        url: '/bracelet/consControl/getPersonsInfo',
        method: 'get',
        params: query
    })
}

/* 人员树选中人员触发的接口 */
export function getPersonDetail(query) {
    return request({
        url: '/bracelet/consControl/getPersonDetail',
        method: 'get',
        params: query
    })
}

/* 人员历史轨迹 */
export function getHistoryGj(query) {
    return request({
        url: '/bracelet/consControl/getHistoryGj',
        method: 'get',
        params: query
    })
}

/* 今日施工班组/施工人数/安全帽信息 */
export function getWorkInfo(query) {
    return request({
        url: '/bracelet/consControl/getWorkInfo',
        method: 'get',
        params: query
    })
}